# Additional utility functions

This module provides some utility functions, but these shouldn’t normally be used by external applications.

secretstorage.util.exec_prompt(connection: DBusConnection, prompt_path: str) → Tuple[bool, List[str]]

  Executes the prompt in a blocking mode.

  Returns:

    a tuple; the first element is a boolean value showing whether the operation was dismissed, the second element is a list of unlocked object paths

secretstorage.util.format_secret(session: Session, secret: bytes, content_type: str) → Tuple[str, bytes, bytes, str]

  Formats secret to make possible to pass it to the Secret Service API.

secretstorage.util.unlock_objects(connection: DBusConnection, paths: List[str]) → bool

  Requests unlocking objects specified in paths. Returns a boolean representing whether the operation was dismissed.

  New in version 2.1.2.